<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

/////////////////////////////
// Если указано TRUE то комментарии будут выводиться на той же странице где и сам дневник.
// Если указано FALSE то комментарии выводятся на отдельной странице
$komm_list=TRUE; 
///////////////////////////

if(!isset($_GET['id']))
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такой записи!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
$id = htmlspecialchars(mysql_real_escape_string($_GET['id']));



if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE  `id` = '".htmlspecialchars(mysql_real_escape_string($_GET['id']))."'"),0) ==0)
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такой записи!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".htmlspecialchars(mysql_real_escape_string($_GET['id']))."';"));


if($blog['privat'] == 1)
{
if (($user['level'] < 4) && ($user['id'] !=$blog['id_user']))
{
$set['title']='Закрыто';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Этот дневник закрыт!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
}



mysql_query("UPDATE `blog_list` SET `count` = '".($blog['count']+1)."' WHERE `id` = '$blog[id]' LIMIT 1");
$ank=get_user($blog['id_user']);

$set['title']='Дневники-'.$ank['nick'].'';



if($blog['name']!=NULL)
{
$set['meta_keywords']=''.$blog['name'].'';
}
if ($blog['msg']!=NULL){
$stringg = mb_substr($blog['msg'],0,120,'utf-8');


}
$set['meta_description']=''.$stringg.'';



include_once '../sys/inc/thead.php';
title();
aut();
err();

echo"<div class='str'>\n";
echo"<a href='index.php'>Дневники</a> > <a href='user.php?id=$ank[id]'>$ank[nick]</a><br />\n";
echo"</div>\n";



echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";

echo "  </td>\n";
}

if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}
echo "".online($ank['id'])."<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[color]\">$ank[nick]</span></a>  (".vremja($blog['time']).")\n";
echo "  </br>\n";

if ($set['set_show_icon']==1)
echo "<b>\n";

echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($blog['name']))))))))."</b><br />\n";



$q_f=mysql_query("SELECT * FROM `blog_img` WHERE `id_blog` = '".htmlspecialchars(mysql_real_escape_string($_GET['id']))."'");
while ($file = mysql_fetch_assoc($q_f))
{
echo "<img src='img/$file[id].jpg' alt='$file[name]' />\n";
echo "<br />\n";
}

echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($blog['msg']))))))))."<br />\n";


echo "</div>\n";
echo "  </td>\n";
echo "   </tr>\n";

echo "</table>\n";


if (($user['level'] >= 4) || ($user['id'] ==$blog['id_user']))
{
echo"[<a href='edit.php?id=$blog[id]'>Редактировать</a> / <a href='edit.php?id=$blog[id]&amp;del'>Del</a>]<br/>";
}

if($komm_list)
{


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '".htmlspecialchars(mysql_real_escape_string($_GET['id']))."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `blog_komm` WHERE `id_blog` = '".htmlspecialchars(mysql_real_escape_string($_GET['id']))."' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет комментариев\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($post = mysql_fetch_assoc($q))
{
//$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$ank=get_user($post['id_user']);

echo "   <tr>\n";
if ($set['set_show_icon']==2){

avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "";
echo "  </td>\n";
}


if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>".online($ank['id'])." (".vremja($post['time']).")\n";
echo "  </br>\n";

if ($set['set_show_icon']==1)
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";

if (isset($user) && ($user['level']>=4) || isset($user) && ($user['id'] == $blog['id_user']))
echo "<a href='?id=".htmlspecialchars(mysql_real_escape_string($_GET['id']))."&amp;del=$post[id]'>Удалить</a><br />\n";
echo"</div>\n";
echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";


if ($k_page>1)str("?id=".htmlspecialchars(mysql_real_escape_string($_GET['id'])).'&amp;',$k_page,$page); // Вывод страниц



if (isset($user))
{
echo "<form method=\"post\" name='message' action=\"komm.php?id=".htmlspecialchars(mysql_real_escape_string($_GET['id']))."&amp;page=$page\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}



}
else
{
echo"<a href='komm.php?id=$blog[id]'>Комментарии</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$blog[id]'"),0).")<br/>";

}




echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>